#!/bin/bash
set -e
echo '*** backup'
# Create non-secure backup including all the domains starting with "dpbuddy". Don't fail if no matching domain is found
dpbuddy backup -file backups/backup.zip -domainPatterns "dpbuddy.*" -failIfNoDomain false
# Restore the backup into our DR appliance
dpbuddy restore -file backups/backup.zip # -env dr
# secure backup
dpbuddy secureBackup -cert dp-backup -toDir testfiles/sbackup -appendTimestamp || true