#!/bin/bash
set -e

# Upload all files/folders under "dpfiles".
# "cleanDirectories" will automatically delete all files from the directory
# on the device where we're uploading the files to.
dpbuddy copy -toDir "/services/wsdl" -flatten -dir "./" -includes "dpfiles/**/*.wsdl dpfiles/**/*.xsd" -cleanDirectories -flushCache
# Download multiple files from the device, do not re-create the DataPower directories locally (because of "flatten"),
# clean the local folders
dpbuddy download -include "local:/services/.*" -toDir download -cleanToDir
# Delete all xsds on "local:"
dpbuddy delete -include "local:/.*\.xsd" -matchRequired false -dryRun true

dpbuddy mkdir -dir="/dir1/dir2"
dpbuddy rmdir -dir="/dir1/dir2"
