@echo off
call dpbuddy tail -lines "-1"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy tail -domainPatterns "dpbuddy-.*, e2e.*"  -lines 100
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy tail -logTarget "default-log" -format "{1,date,yyyy-MM-dd HH:mm:ss} |{2}| {4,number,#} | {0}{3}"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy tail -lines "-1" -logFile "${java.io.tmpdir}/dp.log" -appendTimestamp
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy log -level info -category all  -message "Hello from DPBuddy"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy setLogLevel -level INFO
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Managing log targets
rem Create syslog target
call dpbuddy syslogTarget -name syslg-trg -remoteHost syslog-server -remotePort 123 -localIdentifier "dp7-qa--test" -localAddress dp-qa -levelInfo "all:info, mgmt:info"
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Create SOAP/HTTP log target
call dpbuddy soapLogTarget -name soap-trg -remoteUrl "http://soap-backend" -localAddress dp-qa -levelInfo "all:info, mgmt:info" -disabled
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Create file-based log target
call dpbuddy fileLogTarget -name file-trg -fileName log-file -logSize 2048 -rotations 3 -levelInfo "all:info, mgmt:info" -comments "file based log target" -save
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem Change logging levels of all targets that start with "syslog"
call dpbuddy updateLogLevel -name "syslg.*" -levelInfo "all:notice, mgmt:warn"
if %errorlevel% neq 0 (exit /b %errorlevel%)


