@echo off

call dpbuddy configReport -dir confrep -persisted -objects "WSGatew.*, .*Firewall.*:test.*" -domains ".*" -excel -reportFileName DPReport.xlsx -excludeElements "UserInfo"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy configReport -dir confrep -persisted -objects "WSGatew.*, .*Firewall.*:test.*" -domains ".*" -excel -reportFileName DPReport.xlsx -diff
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy listObjects -objects "XMLF.*,WSGateway" -domainPatterns ".*"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy listServices -domainPatterns ".*"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy status -class FilesystemStatus
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertStatus -class "LoadBalancerStatus2" -expression "(Group!='test-group' || Health=='up')"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertState -domains "dpbuddy.*"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertState -objects ".*" -exclude "ISAMRuntime"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertState -objects "WSGateway, XML.*" -exclude "XMLM.*:default-.*"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertState -objects "WSGateway, XMLF.*" -activeService
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertOpenPorts -ports "9090, 5550" -domain default
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy testTcp -hostPort "google.com:443,google.com:80"
if %errorlevel% neq 0 (exit /b %errorlevel%)
